Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 14 Mar 2021 09:09:44 +0000

Hi Tarish Ayubi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Your company has taken 2 weeks to figure out where my return is. I call daily and have been told different stories about where the return item has disappeared to. It should not take 2 weeks. I returned 2 items and one has been refunded but the more expensive item seems to have disappeared. Where is the item? Where is my refund? Why am I being treated like a liar? The items were taken by your courier and have not been found. One person says system error the other says we need to ask if the courier received the item. I have taken photos of the returned items. I am very unhappy about this and will never purchase from the store again. You need a better return policy that protects both the customer as well as the company. There should be a form that comes with the courier or that the customer prints and signs at the time of pick up . Your inability to find the item after th
 e courier picks it is is not the customers fault.  Give me my refund as you sold me a broken and defective product. Your inability to find it after the courier had taken it is not my concern as I have returned it to you.  Order number 9639219852 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2241832